Bug 170725 - [MAINTAINER] games/cutemaze: Makefile changed, OptionsNG
[MAINTAINER] games/cutemaze: Makefile changed, OptionsNG
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: jgh
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-18 02:30 UTC by nemysis
Modified: 2012-08-28 02:00 UTC (History)
1 user (show)

See Also:


Attachments
cutemaze-1.1.0_2.patch (1.23 KB, patch)
2012-08-18 02:30 UTC, nemysis
no flags Details | Diff
cutemaze.diff (1.26 KB, patch)
2012-08-20 20:59 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-08-18 02:30:08 UTC
Makefile changed

OptionsNG

.include <bsd.port.options.mk>

.if ${PORT_OPTIONS:MDOCS}

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)
Comment 1 jgh freebsd_committer 2012-08-18 06:49:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 2 jgh freebsd_committer 2012-08-28 01:50:54 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter freebsd_committer 2012-08-28 01:50:55 UTC
Author: jgh
Date: Tue Aug 28 00:50:44 2012
New Revision: 303266
URL: http://svn.freebsd.org/changeset/ports/303266

Log:
  - data is required
  - use optionsNG for DOCS
  
  PR:	170725
  Submitted by:	maintainer, nemysis@gmx.ch

Modified:
  head/games/cutemaze/Makefile   (contents, props changed)

Modified: head/games/cutemaze/Makefile
==============================================================================
--- head/games/cutemaze/Makefile	Tue Aug 28 00:11:36 2012	(r303265)
+++ head/games/cutemaze/Makefile	Tue Aug 28 00:50:44 2012	(r303266)
@@ -7,13 +7,13 @@
 
 PORTNAME=	cutemaze
 PORTVERSION=	1.1.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	games
 MASTER_SITES=	http://gottcode.org/${PORTNAME}/
 EXTRACT_SUFX=	-src.tar.bz2
 
 MAINTAINER=	nemysis@gmx.ch
-COMMENT=	Is a simple, top-down game in which mazes are randomly generated
+COMMENT=	A simple, top-down game in which mazes are randomly generated
 
 LICENSE=	GPLv3
 
@@ -26,6 +26,8 @@ MAKE_JOBS_SAFE=	yes
 PORTDATA=	*
 PORTDOCS=	ChangeLog README
 
+.include <bsd.port.options.mk>
+
 do-configure:
 	@cd ${WRKSRC} && ${SETENV} ${CONFIGURE_ENV} \
 		${QMAKE} ${QMAKEFLAGS}
@@ -34,6 +36,10 @@ do-install:
 # Executable
 	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
 
+# Data
+	${MKDIR} ${DATADIR}
+	@(cd ${WRKSRC} && ${COPYTREE_SHARE} "preview themes" ${DATADIR})
+
 # Icons
 	${MKDIR} ${PREFIX}/share/icons/oxygen
 .for d in icons
@@ -46,14 +52,8 @@ do-install:
 	${INSTALL_DATA} ${WRKSRC}/icons/${PORTNAME}.desktop \
 		${PREFIX}/share/applications/
 
-# Data
-.if !defined (NOPORTDATA)
-	${MKDIR} ${DATADIR}
-	@(cd ${WRKSRC} && ${COPYTREE_SHARE} "preview themes" ${DATADIR})
-.endif
-
 # Documentation
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
 .  for f in ${PORTDOCS}
 	${INSTALL_DATA} ${WRKSRC}/${f} ${DOCSDIR}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"